View Issue Details

IDProjectCategoryView StatusLast Update
0000431bareos-core[All Projects] webuipublic2015-07-13 12:02
ReporterfrankAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSRHEL, CentOS, FedoraOS Version
Product Version 
Fixed in Version 
Summary0000431: RPM postinstall script on RHEL, CentOS and Fedora not working
DescriptionScriptlet tries to use a2enmod. The problem is that RHEL, Centos and Fedora (at least) does not implement (and never will) a2enmod and thus the scriptlet is plain wrong for these distros and will work only on debian based distros.
Additional Information
To eliminate that warning, we need to do something like this in
the postinstall part of the *.spec file, see: https://github.com/bareos/bareos-webui/blob/master/packaging/obs/bareos-webui.spec (Line:79).

%post
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
    # enable httpd mod_php5,
    # mod_rewrite,
    # mod_env || mod_setenv
    # if not already enabled
%if 0%{?suse_version}
a2enmod setenv &> /dev/null
a2enmod rewrite &> /dev/null
a2enmod php5 &> /dev/null
%endif


Debian/Ubuntu postinstall is handled in
https://github.com/bareos/bareos-webui/blob/master/debian/postinst


Further reading:
https://en.opensuse.org/openSUSE:Build_Service_cross_distribution_howto
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

frank

frank

2015-03-05 11:56

manager   ~0001296

Acknowledged
frank

frank

2015-03-05 11:59

manager   ~0001297

yum install bareos-webui

bareos-webui 14.2.0.git.1425285136-49.2.el7.noarch.rpm | 602 kB 00:00:06
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : bareos-webui-14.2.0.git.1425285136-49.2.el7.noarch 1/1
warning: %post(bareos-webui-14.2.0.git.1425285136-49.2.el7.noarch) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package bareos-webui-14.2.0.git.1425285136-49.2.el7.noarch
  Verifying : bareos-webui-14.2.0.git.1425285136-49.2.el7.noarch 1/1

Installed:
  bareos-webui.noarch 0:14.2.0.git.1425285136-49.2.el7
frank

frank

2015-03-05 13:40

manager   ~0001298

Fix committed to bareos-webui master branch with changesetid 2914.

Related Changesets

bareos-webui: master 3e7e48ec

2015-03-05 12:34:14

frank

Ported: N/A

Details Diff
Packaging fix

Supresses rpm warnings thrown on rhel, centos, fedora
as a2enmod is not available.

Fixes 0000431: RPM postinstall script on RHEL, CentOS and Fedora not working
Affected Issues
0000431
mod - packaging/obs/bareos-webui.spec Diff File

Issue History

Date Modified Username Field Change
2015-03-05 11:51 frank New Issue
2015-03-05 11:51 frank Status new => assigned
2015-03-05 11:51 frank Assigned To => frank
2015-03-05 11:56 frank Note Added: 0001296
2015-03-05 11:56 frank Status assigned => acknowledged
2015-03-05 11:59 frank Note Added: 0001297
2015-03-05 13:40 frank Changeset attached => bareos-webui master 3e7e48ec
2015-03-05 13:40 frank Note Added: 0001298
2015-03-05 13:40 frank Status acknowledged => resolved
2015-03-05 13:40 frank Resolution open => fixed
2015-03-31 15:26 mvwieringen adm Assigned To frank =>
2015-04-17 15:35 frank Status resolved => closed
2015-04-17 15:35 frank Assigned To => frank
2015-07-13 12:02 joergs Assigned To frank =>